Yocto Qt5 Toolchain installation

From Variscite Wiki
DART-6UL - Yocto Qt5 Toolchain Installation

1 Pre Requirements

Full Yocto OpenEmbedded environment is required for the toolchain generation.
To setup Yocto build environment follow steps 1 & 3 of the Build Yocto from source code guide and then proceed to the toolchain build below:

2 Build Toolchain

$ cd ~/var-fslc-yocto
$ MACHINE=imx6ul-var-dart DISTRO=fslc-x11 . setup-environment build_x11


$  bitbake meta-toolchain-qt5

The output will be located at tmp/deploy/sdk/.

3 Install Toolchain

Install the tools by running it:

$ tmp/deploy/sdk/fslc-x11-glibc-x86_64-meta-toolchain-qt5-armv7at2hf-neon-toolchain-2.2.1.sh

Reply to all defaults 'y'
At the end of the installation you should see the following:

SDK has been successfully set up and is ready to be used.
The toolchain name depend on your build machine and may change

4 Use Toolchain

Each time you wish to use the toolchain in a new shell session, you need to source the environment setup script:

$ source /opt/fslc-x11/2.2.1/environment-setup-armv7at2hf-neon-fslc-linux-gnueabi